#!/bin/bash

# where the log messages will be stored
#LOG_FILE="/var/log/unipi-mervis-tools.log"
LOG_FILE=/dev/null

# paths for the nginx configuration
NGINX_TEMPLATE="/etc/mervis/nginx-mervis.template"
NGINX_AVAILABLE="/etc/nginx/sites-available/mervis"
NGINX_ENABLED="/etc/nginx/sites-enabled/mervis"

MERVISFCGI_TMP="/tmp/fcgi.ini.new"
MERVISFCGI_FINAL="/opt/mervis/fcgi.ini"

SSHD_CONFIG="/etc/ssh/sshd_config"

UNIPI_LTE_CONFIG="/etc/unipi/lte.conf"

INTERFACES_FOR_DOWN="/tmp/interfaces_for_down"
INTERFACES_FOR_UP="/tmp/interfaces_for_up"

CLOUDACCESS_TMP="/tmp/cloudaccess.json"
CLOUDACCESS_FINAL="/opt/mervis/cloudaccess.json"

# is the supplied log file writeable?
LOG_WRITEABLE="1"
if [ ! -w "$LOG_FILE" ]; then
    # no, try creating the log file
    if ! touch "$LOG_FILE"; then
        # the log file could not be created
        # the script can continue
        echo "Could not create log file $LOG_FILE" >&2
        LOG_WRITEABLE="0"
    fi
fi

if [ "$LOG_WRITEABLE" == "1" ]; then
    # log file exists or could be created, all STDIN and STDERR will be redirected there
    # and startup parameters of this script as well
    exec > >(tee -a "$LOG_FILE") 2>&1
fi

#now print the script name and its parameters
echo
echo "$(basename "$0"): $*"
