#!/bin/sh

app_basename="mervis"

. /etc/${app_basename}.rc.status

rc_reset

#-------------------------------------------------------------------
# ! edit in case of multiple instances
#-------------------------------------------------------------------
filename=`readlink $0`
if [ "$?" != "0" ]; then
    filename=$0
fi

rt_appinstance="default"
#instance=`echo $filename | grep -o '[.][^.]*$'`
#if [ "${instance}" != "" ]; then
#	rt_appinstance="${instance#.}"
#else
#	echo "Missing app instance in script filename. Name have to be in format ${0}.app_instance_name"
#	exit
#fi
#-------------------------------------------------------------------

#-------------------------------------------------------------------
# do not edit anything under this line
#-------------------------------------------------------------------

if [ -f "/etc/sysconfig/${app_basename}rt.${rt_appinstance}" ]; then
    . /etc/sysconfig/${app_basename}rt.${rt_appinstance}
elif [ -f /etc/sysconfig/${app_basename}rt ]; then
    . /etc/sysconfig/${app_basename}rt
else
    echo "Missing configuration file /etc/sysconfig/${app_basename}rt.${rt_appinstance} or /etc/sysconfig/${app_basename}rt"
    exit
fi

lockfile="${rt_lock_dir}/${rt_ct_appname}.${rt_appinstance}.lock"

check_rtupdate()
{
    if [ -f ${rt_update_file} ]; then
	echo "New RT image available, updating ... "
	sh ${rt_update_file}
	if [ $? -eq 0 ]; then
	    rm ${rt_update_file}
	    echo "Done"
	fi
	
	request_rt_file="${rt_lock_dir}/${rt_appname}.${rt_appinstance}.lock.req"
	if [ -f ${request_rt_file} ]; then
	    rm ${request_rt_file}
	    if [ -f /etc/mervis/control ]; then
		/etc/mervis/control ${rt_appinstance} start-rt
	    else
		${init_path}/${app_basename}rt.${rt_appinstance} start
	    fi
	fi
    fi
}


check_rtupdate